## NMWimaxNsp NMWimaxNsp |

## Functions

const char * | nm_wimax_nsp_get_name ()
guint32 | nm_wimax_nsp_get_signal_quality ()
NMWimaxNspNetworkType | nm_wimax_nsp_get_network_type ()
GPtrArray * | nm_wimax_nsp_filter_connections ()
gboolean | nm_wimax_nsp_connection_valid ()

## Types and Values

#define | NM_WIMAX_NSP_NAME
#define | NM_WIMAX_NSP_SIGNAL_QUALITY
#define | NM_WIMAX_NSP_NETWORK_TYPE

## Description

## Functions

### nm_wimax_nsp_get_name ()

    const char *
    nm_wimax_nsp_get_name (NMWimaxNsp *nsp);

`nm_wimax_nsp_get_name` is deprecated and should not be used in newly-written code.

### nm_wimax_nsp_get_signal_quality ()

    guint32
    nm_wimax_nsp_get_signal_quality (NMWimaxNsp *nsp);

`nm_wimax_nsp_get_signal_quality` is deprecated and should not be used in newly-written code.

### nm_wimax_nsp_get_network_type ()

    NMWimaxNspNetworkType
    nm_wimax_nsp_get_network_type (NMWimaxNsp *nsp);

`nm_wimax_nsp_get_network_type` is deprecated and should not be used in newly-written code.

### nm_wimax_nsp_filter_connections ()

    GPtrArray *
    nm_wimax_nsp_filter_connections (NMWimaxNsp *nsp,
                                     const GPtrArray *connections);

`nm_wimax_nsp_filter_connections` is deprecated and should not be used in newly-written code.

### nm_wimax_nsp_connection_valid ()

    gboolean
    nm_wimax_nsp_connection_valid (NMWimaxNsp *nsp,
                                   NMConnection *connection);

`nm_wimax_nsp_connection_valid` is deprecated and should not be used in newly-written code.

## Types and Values

### NM_WIMAX_NSP_NAME

    #define NM_WIMAX_NSP_NAME           "name"

### NM_WIMAX_NSP_SIGNAL_QUALITY

    #define NM_WIMAX_NSP_SIGNAL_QUALITY "signal-quality"

### NM_WIMAX_NSP_NETWORK_TYPE

    #define NM_WIMAX_NSP_NETWORK_TYPE   "network-type"